Skip to main content
POST
/
admin
/
tiers
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_name": "<string>",
  "max_concurrent_workflows": 123,
  "max_action_executions_per_workflow": 123,
  "max_concurrent_actions": 123,
  "api_rate_limit": 123,
  "api_burst_capacity": 123,
  "entitlements": {
    "custom_registry": true,
    "git_sync": true,
    "agent_addons": true,
    "case_addons": true,
    "rbac_addons": true,
    "service_accounts": true,
    "workspace_chat": true,
    "watchtower": true
  },
  "is_default": true,
  "sort_order": 123,
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Body

application/json

Create tier request.

display_name
string
required
Required string length: 1 - 255
max_concurrent_workflows
integer | null
max_action_executions_per_workflow
integer | null
max_concurrent_actions
integer | null
api_rate_limit
integer | null
api_burst_capacity
integer | null
entitlements
EntitlementsDict · object

TypedDict for tier entitlements stored in JSONB.

All keys are optional (total=False) to support partial overrides.

is_default
boolean
default:false
sort_order
integer
default:0

Response

Successful Response

Tier response schema.

id
string<uuid>
required
display_name
string
required
max_concurrent_workflows
integer | null
required
max_action_executions_per_workflow
integer | null
required
max_concurrent_actions
integer | null
required
api_rate_limit
integer | null
required
api_burst_capacity
integer | null
required
entitlements
EntitlementsDict · object
required

TypedDict for tier entitlements stored in JSONB.

All keys are optional (total=False) to support partial overrides.

is_default
boolean
required
sort_order
integer
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required